--- aseqdump.c.original	2017-11-29 21:31:36.797372286 +0100
+++ aseqdump.c	2017-11-29 22:22:12.875416088 +0100
@@ -24,6 +24,7 @@
 #include <stdarg.h>
 #include <string.h>
 #include <signal.h>
+#include <sys/time.h>
 #include <getopt.h>
 #include <sys/poll.h>
 #include <alsa/asoundlib.h>
@@ -34,7 +35,7 @@
 static int port_count;
 static snd_seq_addr_t *ports;
 static volatile sig_atomic_t stop = 0;
-
+static double start_time;
 
 /* prints an error message to stderr, and dies */
 static void fatal(const char *msg, ...)
@@ -128,8 +129,16 @@
 	}
 }
 
+static double dtime(void)
+{
+struct timeval tv;
+(void)gettimeofday(&tv, NULL);
+return (double)tv.tv_sec + ((double)tv.tv_usec)/1e6;
+}
+
 static void dump_event(const snd_seq_event_t *ev)
 {
+	printf("%9.3f ", dtime()-start_time);
 	printf("%3d:%-3d ", ev->source.client, ev->source.port);
 	switch (ev->type) {
 	case SND_SEQ_EVENT_NOTEON:
@@ -366,6 +375,7 @@
 	int c, err;
 
 	init_seq();
+	start_time = dtime();
 
 	while ((c = getopt_long(argc, argv, short_options,
 				long_options, NULL)) != -1) {
